WordPress.org

Make WordPress Core

Opened 5 years ago

Closed 5 years ago

Last modified 5 years ago

#9054 closed defect (bug) (worksforme)

plugins_api failed

Reported by: scribu Owned by:
Milestone: Priority: normal
Severity: normal Version: 2.7
Component: HTTP API Keywords:
Focuses: Cc:

Description

In WP 2.7-beta1:

object(WP_Error)#140 (2) {
  ["errors"]=>
  array(1) {
    ["plugins_api_failed"]=>
    array(1) {
      [0]=>
      string(141) "An Unexpected HTTP Error occured during the API request.</p> <p><a href="?" onclick="document.location.reload(); return false;">Try again</a>"
    }
  }
  ["error_data"]=>
  array(1) {
    ["plugins_api_failed"]=>
    string(79) "Could not open handle for fopen() to http://api.wordpress.org/plugins/info/1.0/"
  }
}

Also, the core update isn't working either:

Download failed.: couldn't connect to host

Change History (5)

comment:1 Viper007Bond5 years ago

  • Component changed from General to HTTP
  • Owner anonymous deleted

"2.7-beta1" is quite an old version. Please update.

comment:2 scribu5 years ago

I meant to say 2.7.1-beta1

comment:3 scribu5 years ago

  • Cc scribu added

comment:4 scribu5 years ago

  • Resolution set to worksforme
  • Status changed from new to closed

Everything is working now. I think the API was rejecting my requests because I was calling the plugins_api() on each page load. I've started using wp_cache and it seems to be fine now.

comment:5 jacobsantos5 years ago

  • Milestone 2.7.1 deleted
Note: See TracTickets for help on using tickets.